Package wx :: Package lib :: Module buttons :: Class GenButtonEvent

[frames | no frames]

## Type GenButtonEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            GenButtonEvent

Event sent from the generic buttons when the button is activated.

Method Summary
| `__init__(self, eventType, id)`
| `GetButtonObj(self)`
| `GetIsDown(self)`
| `SetButtonObj(self, btn)`
| `SetIsDown(self, isDown)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:46 2007 | http://epydoc.sf.net